Página 1 de 2 12 ÚltimoÚltimo
Mostrando resultados del 1 al 10 de 13

Tema: Problemas con Nouveau DRI/3D en Tumbleweed al actualizar

  1. #1
    Fecha de Ingreso
    01-abril-2018
    Mensajes
    15
    Poder de Credibilidad
    0

    Problemas con Nouveau DRI/3D en Tumbleweed al actualizar

    Hola gente.

    Al querer actualizar Tumbleweed a través de la Terminal me saca la siguiente info:

    Código:
    Los siguientes 11 paquetes NUEVOS van a ser instalados:
      kernel-default-4.16.0-1.6 libcdrdeflt1_0 libdeflt1_0 libedc_ecc1_0 libedc_ecc_dec1_0
      libfile1_0 libfind1_0 librscg1_0 libscgcmd1_0 readcd rscsi
    
    El siguiente paquete va a ser ELIMINADO:
      kernel-default-4.16.0-1.5
    
    Los siguientes 33 paquetes van a ser actualizados:
      alsa alsa-utils cpp7 efibootmgr file file-magic filesystem gdb hostname info libasound2
      libgbm1 libgfortran4 libgnutls30 libmagic1 liborc-0_4-0 libscg1_0 libschily1_0
      libvdpau_nouveau libwayland-egl1 Mesa Mesa-dri Mesa-dri-nouveau Mesa-gallium
      Mesa-libEGL1 Mesa-libGL1 Mesa-libglapi0 Mesa-libva openSUSE-release openSUSE-release-ftp
      python2-rpm rpm vlc-codecs
    
    El siguiente producto va a ser actualizado:
      openSUSE Tumbleweed  20180407-0 -> 20180410-0
    
    Los siguientes 2 paquetes van a ser desactualizados:
      cdrecord mkisofs
    
    33 paquetes a actualizar, 2 a desactualizar, 11 nuevos, 1 a quitar.
    Tamaño total de descarga: 101,8 MiB. Ya en caché: 0 B. Después de la operación, se
    liberarán 579,4 KiB.
    ¿Desea continuar? [s/n/...? mostrar todas las opciones] (s): s
    Si le digo que quiero continuar me saca este otro mensaje:

    Código:
    Para poder instalar Mesa-dri-nouveau, debe aceptar los términos del siguiente acuerdo de 
    licencia:                                                                                
                                                                                             
    WARNING: Nouveau DRI/3D driver selected.                                                 
                                                                                             
    This driver is considered experimental and is known to have issues with                  
    applications that use certain 3D acceleration features of modern                         
    NVIDIA hardware.
    
    Symptoms include application crashes or lockups & crashes of your system's
    graphical environment. Older Hardware and less demanding applications may work
    just fine and do benefit from the Hardware acceleration features this driver
    offers over software emulation.
    
    Use of this driver is especially not recommended for use with the KDE Desktop
    Environment or Qt-based Applications.
    
    The hardware vendor potentially offers alternative drivers.
    
    Please click "I Agree" if you accept the risks that may come with the
    installation of this driver. Choose "I Disagree"  to prevent installation
    of the driver and use software emulation instead.
    ¿Acepta los términos de la licencia? [si/no] (no):
    Como creo entender que no recomienda su instalación, le digo que no, ppero es que vuelve al inicio y no actualiza nada:

    Código:
    Cancelando la instalación debido a que el usuario no ha aceptado la licencia Mesa-dri-nouveau paquete.
    Y así ando....sin poder actualizar, salvo que le diga que sí, algo que ya hice en otra instalación de otra partición de mi disco duro y luego me empezó a dar problemas de visualización de ventanas de aplicaciones, temblando cada vez que se abrían o cerraban.

    Mi gráfica es una nVidia GT 440 de hace unos años ya...

    Código:
    Graphics:  Card: NVIDIA GF108 [GeForce GT 440] bus-ID: 01:00.0
               Display Server: x11 (X.org 1.19.6 )
               drivers: nouveau (unloaded: modesetting,fbdev,vesa)
    ¿Alguna solución?
    Comparte todo lo que puedas, no te canses nunca.
    Lo que ya sabes y lo que vas aprendiendo.
    Tod@s saldremos ganando.

  2. #2
    Fecha de Ingreso
    16-noviembre-2010
    Ubicación
    Delante del ordenador
    Mensajes
    781
    Poder de Credibilidad
    9
    Hay varios posts mios por el foro en los que describo el cómo instalar a mano el driver propietario de Nvidia y cómo antes se mete en lista negra el driver de Noveau además de la recomendación de poner como Tabú el paquete drm-kmp-default (necesario el ponerlo como Tabú para poder instalar los drivers propietarios de Nvidia).

    Por cierto, el driver de Nvidia está roto para tu versión de kernel. Hay un driver Beta que sí funciona, pero es Beta. Yo me quedo en 4.15 hasta que salga Release para arreglar dicho error de compilación.

    La lista de drivers disponibles y las tarjetas a las que se aplica es esta:

    https://devtalk.nvidia.com/default/t...iver-releases/


    Saludos

  3. #3
    Fecha de Ingreso
    01-abril-2018
    Mensajes
    15
    Poder de Credibilidad
    0
    ¿Quier eso decir que tengo que instalar el driver propietario de nVidia?

    Si el sistema me está llevando a ese puerto tal vez no seamos el uno para el otro....
    Comparte todo lo que puedas, no te canses nunca.
    Lo que ya sabes y lo que vas aprendiendo.
    Tod@s saldremos ganando.

  4. #4
    Fecha de Ingreso
    01-abril-2018
    Mensajes
    15
    Poder de Credibilidad
    0
    Tal vez deba tirar por Leap en vez de por Tumbleweed..
    Comparte todo lo que puedas, no te canses nunca.
    Lo que ya sabes y lo que vas aprendiendo.
    Tod@s saldremos ganando.

  5. #5
    Fecha de Ingreso
    31-julio-2015
    Mensajes
    197
    Poder de Credibilidad
    0
    Hay un parche para el driver de nvidia y kernel 4.16. Yo lo he usado y va perfecto...
    Respecto a la pregunta que te hace zypper sobre instalar o no mesa_nouveau, puedes darle a si tranquilamente... Llevo meses haciendo eso sin ningún problema

    Enviado desde mi ASUS_Z012D mediante Tapatalk

  6. #6
    Fecha de Ingreso
    01-abril-2018
    Mensajes
    15
    Poder de Credibilidad
    0
    Cita Iniciado por Pepetops Ver Mensaje
    Hay un parche para el driver de nvidia y kernel 4.16. Yo lo he usado y va perfecto...
    Respecto a la pregunta que te hace zypper sobre instalar o no mesa_nouveau, puedes darle a si tranquilamente... Llevo meses haciendo eso sin ningún problema

    Enviado desde mi ASUS_Z012D mediante Tapatalk
    ¿Con ese parche te refieres al driver privativo?

    En lo de aceptar o no lo que me propone, a pesar de que no me lo recomienda, me arriesgaré, aunque tengo visto no pocas veces que lo que va bien para uno no lo hace igualmente en otro equipo diferente con distinto hardware.
    Comparte todo lo que puedas, no te canses nunca.
    Lo que ya sabes y lo que vas aprendiendo.
    Tod@s saldremos ganando.

  7. #7
    Fecha de Ingreso
    16-noviembre-2010
    Ubicación
    Delante del ordenador
    Mensajes
    781
    Poder de Credibilidad
    9
    Sí, con lo del parche se refiere al driver privativo.


    Saludos

  8. #8
    Fecha de Ingreso
    19-marzo-2005
    Ubicación
    En un lugar del planeta Tierra
    Mensajes
    17.183
    Poder de Credibilidad
    10
    Cita Iniciado por Juan Bellas Ver Mensaje
    Tal vez deba tirar por Leap en vez de por Tumbleweed..
    Leap es para usuarios que no tiene la enfermedad versionitis, para eso esta TW que es una distribución rolling release con todo lo que implica.
    NORMAS A CUMPLIR EN LOS FOROS (Lectura obligatoria) Lo siento, no contesto privados sobre problemas con GNU/Linux.
    Síguenos en TWITTER y en FACEBOOK
    Código:
    Buscador de   Alojamiento      Alojamiento     Otros
     paquetes:    de imágenes:     de ficheros:    buscadores:
    Search        TinyPic          Ifile Wuala     Simple y Facil
    Webpinstant   Paste Suse       SendSpace       TextSnip  Cl1p

  9. #9
    Fecha de Ingreso
    01-abril-2018
    Mensajes
    15
    Poder de Credibilidad
    0
    Cita Iniciado por DiabloRojo Ver Mensaje
    Leap es para usuarios que no tiene la enfermedad versionitis, para eso esta TW que es una distribución rolling release con todo lo que implica.
    Bueno....a a mi la verdad es que ya hace tiempo que se me pasó lo de andar cambiando de distro cada dos por tres, aunque sigo teniendo mis particiones en el disco duro donde tengo sistemas instalados hace tiempo, pero la verdad es que me gusta más la idea de quedarme en un sitio de forma más duradera.

    A mis casi 52 tacos ya no me apetece andar dando saltos de un lado para otro.
    Prefiero dedicar mi tiempo a otras cosas, lo que pasa es que leí opiniones muy buenas de Tumbleweed, que era realmente estable, a pesar de buscar siempre actualidad de software y tampoco es que me esté dando problemas graves en estas semanas que lo llevo usando.

    Ya veré si finalmente me quedo en Tumbleweed o me paso a Leap.
    Comparte todo lo que puedas, no te canses nunca.
    Lo que ya sabes y lo que vas aprendiendo.
    Tod@s saldremos ganando.

  10. #10
    Fecha de Ingreso
    16-noviembre-2010
    Ubicación
    Delante del ordenador
    Mensajes
    781
    Poder de Credibilidad
    9
    Tengo Leap 42.3 y con estos repos no necesito TW :

    Código:
    zypper lr -upPE
    #  | Alias                               | Nombre                                   | Habilitado | Comprobación GPG | Actualizar | Prioridad | URI                                                                                            
    ---+-------------------------------------+------------------------------------------+------------+------------------+------------+-----------+------------------------------------------------------------------------------------------------
     9 | Packman                             | Packman                                  | Si         | (r ) Si          | Si         |   70      | http://packman.inode.at/suse/openSUSE_Leap_42.3/                                               
     2 | Frameworks_5                        | Frameworks 5                             | Si         | (r ) Si          | Si         |   98      | http://download.opensuse.org/repositories/KDE:/Frameworks5/openSUSE_Leap_42.3/                 
     3 | KDE_Apps                            | KDE Apps                                 | Si         | (r ) Si          | Si         |   98      | http://download.opensuse.org/repositories/KDE:/Applications/KDE_Frameworks5_openSUSE_Leap_42.3/
     4 | KDE_Extra                           | KDE Extra                                | Si         | (r ) Si          | Si         |   98      | http://download.opensuse.org/repositories/KDE:/Extra/openSUSE_Leap_42.3/                       
     5 | Kernel_4.12                         | Kernel Estable                           | Si         | (r ) Si          | Si         |   98      | http://download.opensuse.org/repositories/Kernel:/stable/standard/                             
     7 | Libdvdcss                           | Libdvdcss                                | Si         | (r ) Si          | Si         |   98      | http://opensuse-guide.org/repo/openSUSE_Leap_42.3/                                             
     8 | Mozilla                             | Mozilla                                  | Si         | (r ) Si          | Si         |   98      | http://download.opensuse.org/repositories/mozilla/openSUSE_Leap_42.3/                          
    11 | Qt5                                 | Qt5                                      | Si         | (r ) Si          | Si         |   98      | http://download.opensuse.org/repositories/KDE:/Qt5/openSUSE_Leap_42.3/                         
    12 | Wine                                | Wine                                     | Si         | (r ) Si          | Si         |   98      | http://download.opensuse.org/repositories/Emulators:/Wine/openSUSE_Leap_42.3/                  
    13 | download.opensuse.org-non-oss       | Repositorio principal (NON-OSS)          | Si         | (r ) Si          | Si         |   98      | http://download.opensuse.org/distribution/leap/42.3/repo/non-oss/                              
    14 | download.opensuse.org-non-oss_1     | Repositorio de actualizaciones (NON-OSS) | Si         | (r ) Si          | Si         |   98      | http://download.opensuse.org/update/leap/42.3/non-oss/                                         
    15 | download.opensuse.org-oss           | Repositorio principal (OSS)              | Si         | (r ) Si          | Si         |   98      | http://download.opensuse.org/distribution/leap/42.3/repo/oss/                                  
    16 | download.opensuse.org-oss_1         | Repositorio de actualizaciones (OSS)     | Si         | (r ) Si          | Si         |   98      | http://download.opensuse.org/update/leap/42.3/oss                                              
     1 | Chipcard                            | Chipcard                                 | Si         | (r ) Si          | Si         |   99      | http://download.opensuse.org/repositories/security:/chipcard/openSUSE_Leap_42.3/               
    10 | Privacidad                          | Privacidad                               | Si         | (r ) Si          | Si         |   99      | http://download.opensuse.org/repositories/security:/privacy/openSUSE_Leap_42.3/                
    17 | http-download.opensuse.org-137a4573 | Lutris                                   | Si         | (r ) Si          | Si         |   99      | http://download.opensuse.org/repositories/home:/strycore/openSUSE_Leap_42.3/

    Saludos

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Temas Similares

  1. error en zypper al actualizar Tumbleweed
    By enae in forum Instalación y Actualizaciones
    Respuestas: 13
    Último mensaje: 25-may-2016, 00:08
  2. Actualizar de Harlequin a Tumbleweed, ¿merece la pena?
    By Garrijas in forum Instalación y Actualizaciones
    Respuestas: 19
    Último mensaje: 22-sep-2015, 08:35
  3. Problemas al actualizar...
    By novato in forum Software
    Respuestas: 4
    Último mensaje: 10-jul-2005, 10:55
  4. Problemas con el teclado al actualizar KDE
    By rpadin in forum Escritorios: KDE, Gnome, otros...
    Respuestas: 6
    Último mensaje: 30-mar-2005, 19:13
  5. Respuestas: 0
    Último mensaje: 13-ene-2005, 20:26

Marcadores

Normas de Publicación

  • No puedes crear nuevos temas
  • No puedes responder mensajes
  • No puedes subir archivos adjuntos
  • No puedes editar tus mensajes
  •